org.kie.internal.osgi

## Class BaseActivator.ServiceDiscoveryTracker

- java.lang.Object
- - org.kie.internal.osgi.BaseActivator.ServiceDiscoveryTracker

- All Implemented Interfaces:
    org.osgi.util.tracker.ServiceTrackerCustomizer<org.kie.api.internal.utils.ServiceDiscoveryImpl,org.kie.api.internal.utils.ServiceDiscoveryImpl>
  Enclosing class:
    BaseActivator

      public static class BaseActivator.ServiceDiscoveryTracker
      extends Object
      implements org.osgi.util.tracker.ServiceTrackerCustomizer<org.kie.api.internal.utils.ServiceDiscoveryImpl,org.kie.api.internal.utils.ServiceDiscoveryImpl>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceDiscoveryTracker(org.osgi.framework.BundleContext context, ClassLoader classLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.internal.utils.ServiceDiscoveryImpl` | `addingService(org.osgi.framework.ServiceReference<org.kie.api.internal.utils.ServiceDiscoveryImpl> ref)`
    `void` | `modifiedService(org.osgi.framework.ServiceReference<org.kie.api.internal.utils.ServiceDiscoveryImpl> reference, org.kie.api.internal.utils.ServiceDiscoveryImpl service)`
    `void` | `removedService(org.osgi.framework.ServiceReference<org.kie.api.internal.utils.ServiceDiscoveryImpl> reference, org.kie.api.internal.utils.ServiceDiscoveryImpl service)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceDiscoveryTracker

          public ServiceDiscoveryTracker(org.osgi.framework.BundleContext context,
                                         ClassLoader classLoader)

  - ### Method Detail

    - #### addingService

          public org.kie.api.internal.utils.ServiceDiscoveryImpl addingService(org.osgi.framework.ServiceReference<org.kie.api.internal.utils.ServiceDiscoveryImpl> ref)

      Specified by:
        `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.kie.api.internal.utils.ServiceDiscoveryImpl,org.kie.api.internal.utils.ServiceDiscoveryImpl>`

    - #### modifiedService

          public void modifiedService(org.osgi.framework.ServiceReference<org.kie.api.internal.utils.ServiceDiscoveryImpl> reference,
                                      org.kie.api.internal.utils.ServiceDiscoveryImpl service)

      Specified by:
        `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.kie.api.internal.utils.ServiceDiscoveryImpl,org.kie.api.internal.utils.ServiceDiscoveryImpl>`

    - #### removedService

          public void removedService(org.osgi.framework.ServiceReference<org.kie.api.internal.utils.ServiceDiscoveryImpl> reference,
                                     org.kie.api.internal.utils.ServiceDiscoveryImpl service)

      Specified by:
        `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.kie.api.internal.utils.ServiceDiscoveryImpl,org.kie.api.internal.utils.ServiceDiscoveryImpl>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.